### Class

# Gcr CertificateExtensionList

unstable since: 4.3.90

#### Description [src]

    final class Gcr.CertificateExtensionList : GObject.Object
      implements Gio.ListModel {
      /* No available fields */
    }

A wrapper type for a list of `GcrCertificateExtension`s.

Available since: 4.3.90

#### Ancestors

- GObject

#### Implements

- GListModel

#### Instance methods

###### gcr_certificate_extension_list_find_by_oid

Looks for an extension with the given OID.

unstable since: 4.3.90

###### gcr_certificate_extension_list_get_extension

Returns the extension at the given position.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

###### g_list_model_get_item_type

Gets the type of the items in `list`.

###### g_list_model_get_n_items

Gets the number of items in `list`.

###### g_list_model_get_object

Get the item at `position`.

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

#### Properties

###### Gcr.CertificateExtensionList:n-items

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### GListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

#### Class structure

    struct GcrCertificateExtensionListClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.